package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AsuhanKeperawatanPeriOperasiHeader;
import com.jasamedika.medifirst2000.entities.AsuhanKeperawatanPeriOperatif;
import com.jasamedika.medifirst2000.helper.Caption;

public class AsuhanKeperawatanPeriOperasiTransVO extends BaseTransactionVO {
	private String asuhankeperawatanHeaderId;
	
	@ManyToOne
	@Caption("ObjekDataMasalah")
	@JoinColumn(name="ObjekDataMasalahFk")
	private AsuhanKeperawatanPeriOperatifVO objekDataMasalah;

	private int objekDataMasalahId;
	
	//@ManyToOne
	//@Caption("ObjekIntervensi")
	//@JoinColumn(name="ObjekIntervensiFk")
	//private AsuhanKeperawatanPeriOperatifVO objekIntervensi;

	//private int objekIntervensiId;
	
	//@ManyToOne
	//@Caption("ObjekEvaluasi")
	//@JoinColumn(name="ObjekEvaluasiFk")
	//private AsuhanKeperawatanPeriOperatifVO objekEvaluasi;

	private String flagHeader;

	private String flagasuhan;

	//private int objekEvaluasiId;

	private String keterangan;
	
	@Column(name="Uraian", length = 1000)
	private String uraian;

	public String getAsuhankeperawatanHeaderId() {
		return asuhankeperawatanHeaderId;
	}

	public void setAsuhankeperawatanHeaderId(String asuhankeperawatanHeaderId) {
		this.asuhankeperawatanHeaderId = asuhankeperawatanHeaderId;
	}

	public AsuhanKeperawatanPeriOperatifVO getObjekDataMasalah() {
		return objekDataMasalah;
	}

	public void setObjekDataMasalah(AsuhanKeperawatanPeriOperatifVO objekDataMasalah) {
		this.objekDataMasalah = objekDataMasalah;
	}

	public int getObjekDataMasalahId() {
		return objekDataMasalahId;
	}

	public void setObjekDataMasalahId(int objekDataMasalahId) {
		this.objekDataMasalahId = objekDataMasalahId;
	}

	//public AsuhanKeperawatanPeriOperatifVO getObjekIntervensi() {
	//	return objekIntervensi;
	//}

	//public void setObjekIntervensi(AsuhanKeperawatanPeriOperatifVO objekIntervensi) {
	//	this.objekIntervensi = objekIntervensi;
	//}

	//public int getObjekIntervensiId() {
	//	return objekIntervensiId;
	//}

	//public void setObjekIntervensiId(int objekIntervensiId) {
	//	this.objekIntervensiId = objekIntervensiId;
	//}

	//public AsuhanKeperawatanPeriOperatifVO getObjekEvaluasi() {
	//	return objekEvaluasi;
	//}

	//public void setObjekEvaluasi(AsuhanKeperawatanPeriOperatifVO objekEvaluasi) {
	//	this.objekEvaluasi = objekEvaluasi;
	//}

	//public int getObjekEvaluasiId() {
	//	return objekEvaluasiId;
	//}

	//public void setObjekEvaluasiId(int objekEvaluasiId) {
	//	this.objekEvaluasiId = objekEvaluasiId;
	//}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public String getFlagHeader() {
		return flagHeader;
	}

	public void setFlagHeader(String flagHeader) {
		this.flagHeader = flagHeader;
	}

	public String getFlagasuhan() {
		return flagasuhan;
	}

	public void setFlagasuhan(String flagasuhan) {
		this.flagasuhan = flagasuhan;
	}

	public String getUraian() {
		return uraian;
	}

	public void setUraian(String uraian) {
		this.uraian = uraian;
	}
	
	
	
	
}
